打印

LNMP 1.5 PHP 调用 file_get_contents() 报错

LNMP 1.5 PHP 调用 file_get_contents() 报错



问题描述:
该命令在LNMP1.4上运行是正常的,如在LNMP1.5上运行会出现上述的错误!军哥帮看看具体是什么问题!
附件: 您所在的用户组无法下载或查看附件

TOP

这个和是1.4或1.5没关系
file_get_contents(): SSL operation failed with code 1. OpenSSL Error messages:
error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed
这个问题的话可能与ssl证书有关系
php -r "print_r(openssl_get_cert_locations());"  看一下default_cert_file 对应的位置在那,先备份该文件,然后下载 https://curl.haxx.se/ca/cacert.pem 替换 default_cert_file 对应的文件
然后重启一下php-fpm

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP